[core]
; arch: type of computer
;   - pet|pet2001: PET 2001, no CRTC video, 60Hz
;   - vic|vic20: VIC-20
; baseram: amount of base RAM, in KB
;   - pet|pet2001: 4-32k
;   - vic20: Grows linearly: Fixed (5K), RAM1-RAM3 (3x1K), BLK1-BLK3 (3x8K).
;       Allowed values: 5,8,16,24,32 (default: 5)
; model:
;   - pet|pet2001|pet4000|pet8000:
;	  - BASIC 1 (arch=pet|pet2001)
;	    - basic1: Launch model with BASIC 1
;	    - basic1p: Fixes bugs in launch model (default)
;	  - BASIC 2 (arch=pet|pet2001)
;	    - basic2n: BASIC 2 with "normal" keyboard (graph characters)
;	    - basic2b: BASIC 2 with "business" keyboard (upper/lowercase)
;	  - BASIC 4 - (arch=pet|pet2001|pet4000|pet8000)
;	    - basic4n: BASIC 4 with "normal" keyboard (graph characters)
;	    - basic4b: BASIC 4 with "business" keyboard (upper/lowercase)
;  - vic|vic20: pal|ntsc (default)
baseram=5
arch=vic20
model=

[video]
; monitor: rgb, mono[white|green|amber], composite
; border: 0 to disable, >0 to set border size
; fullscreen: 0 for window, 1 for full screen
; filtering: 0|nearest, 1|linear, 2|best (anisotropic, Direct3D)
monitor=rgb
border=
fullscreen=0
filtering=

[tape]
count=1
samplerate=44100

[joystick]
; enable: 0=disable joystick port
; trim.x/y: Trimming values for joystick [-127..127], default 0
; threshold: Minimum value to trigger digital input on analox axis [0..32767], default 10000
enable=1
threshold=10000

[debug]
;logfile=dump/trace.log
logfile.flush=0
;customROMFile=
;customROMAddress=

[loglevels]
; 0=off, 1=ERROR, 2=WARNING, 3=INFO, 4=DEBUG, 5=TRACE
computer=3
cpu=3
memory=1
keyboard=3
joystick=2
video=1
sound=3
inputs=2
mainwindow=3
pet.via=2
pet.pia1=2
pet.pia2=2
vic20.via1=2
vic20.via2=2

[monitor]
; F12 in console window toggles the Monitor view
; breakpoint=(ddddd | 0xhhhh | 0oooooo) (address, in decimal|hex|octal) to stop at specfied address
; custommem=(ddddd | 0xhhhh | 0oooooo) to set custom memory view in monitor

;breakpoint=0xFD38

custommem=0x8000
